<!DOCTYPE html>
<html lang="en">
	<head>
		<title>marcus.brisset : contact</title>
		<meta charset="UTF-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
		<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
		
		<link id="colorMode" rel="stylesheet" href="src/css/modes/dark.css?v=1.0" type="text/css" />
		<link rel="stylesheet" href="src/css/style.css?v=1.0" type="text/css" />
	</head>
	<body>
		
<!--	NAV START		-->

		<label id="pageTop"></label>
		<div class="nav-wrap">
			<nav class="navbar fixed-top navbar-dark bg-color-2 bg--gradient navbar-expand-lg shadow--custom">
				<div class="navbar__container--stretch">
					<span class="navbar-brand">
						<img id="colorModeToggler" class="navbar__icon" src="src/img/icons/light_mode.png" title="Switch to Light Mode" alt="Light mode" />
					</span>
					<span class="navbar-brand navbar__search-wrap">
						<input type="text" class="navbar__search-bar form-control" id="navSearchBar" placeholder="search..." />
					</span>
				</div>
				
				<button class="btn btn-dark navbar-toggler" data-bs-toggle="collapse" data-bs-target="#navbar-content"><span class="navbar-toggler-icon"></span></button>
				
				<div class="collapse navbar-collapse" id="navbar-content">
					<ul class="navbar-nav mr-auto">
						<li class="nav-item">
							<a class="nav-link" href="index.html">home</a>
						</li>
						<li class="nav-item">
							<a class="nav-link" href="about.html">about</a>
						</li>
						<li class="nav-item">
							<a class="nav-link" href="javascript.html">javascript</a>
						</li>
						<li class="nav-item">
							<a class="nav-link nav-link--active" href="contact.html">contact</a>
						</li>
						<li class="nav-item">
							<a class="nav-link" href="disclaimer.html">disclaimer</a>
						</li>
					</ul>
				</div>
			</nav>
		</div>
                
<!--	MAIN START		-->

		<main>
			
			<div class="border--beveled rounded-3 p-4 bg-color-2 bg--gradient shadow--custom--s">
				<h2 class="form__header h--has-border">Get in touch</h2>
				
				<!--
				Removed the "required" attriubte from all input fields and stopped the
				form from being submitted - for demo purposes
				Haven't had the time to dig deep enough into bootstrap, so I just altered
				the modals' content depending on whether or not the form is filled out properly.
				-->
				<form onsubmit="return false;">
					<div class="row m-1">
						<div class="col-md col--mw-10">Name:</div>
						<div class="col-md">
							<input class="form-control form-control-sm" type="text" name="message_name" id="messageName" />
						</div>
					</div>
					<div class="row m-1">
						<div class="col-md col--mw-10">E-mail:</div>
						<div class="col-md">
							<input class="form-control form-control-sm" type="text" name="message_mail" id="messageMail" />
						</div>
					</div>
					<div class="row m-1">
						<div class="col-md col--mw-10">Message:</div>
						<div class="col-md">
							<textarea class="form-control" name="message_text" id="messageText" rows="3"></textarea>
						</div>
					</div>
					<div class="row m-1 mt-3">
						<div class="col-md text-center">
							<input class="btn bg-color-1 bg--gradient border--beveled shadow--custom--xs" data-bs-toggle="modal" data-bs-target="#popupMessage" type="submit" name="send_message" id="sendMessage" value="Send" />
						</div>
					</div>
				</form>
			</div>
			
<!--	POPUP START		-->
			
			<div class="modal fade conditional" id="popupMessage" tabindex="-1" aria-labelledby="popupMessage" aria-hidden="true">
				<div class="modal-dialog modal-dialog-centered">
					<div class="modal-content bg-color-1 border">
						<div class="modal-header bg-color-1 bg--gradient">
							<h5 id="popupMessageTitle" class="modal-title">Submitted!</h5>
							<button type="button" class="btn-close btn-close-white" data-bs-dismiss="modal" aria-label="Close"></button>
						</div>
						<div id="popupMessageText" class="modal-body">
							Thank you <span class="fw-bold highlight" id="senderName"></span> for contacting me,
							i will get back to you <span class="fw-bold highlight" id="senderMail"></span> as soon as possible.
						</div>
						<div class="modal-footer">
							<button type="button" class="btn bg-color-1 bg--gradient border" data-bs-dismiss="modal">Okay</button>
						</div>
					</div>
				</div>
			</div>
		
		</main>		
		<script src="src/js/contact.js"></script>
		<script src="src/js/cursor.js"></script>
		<script src="src/js/script.js"></script>
		<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
		<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
		
<!-- BACK TO TOP START -->

		<div id="backToTop" class="back-to-top-wrap back-to-top-wrap--hidden">
			<a class="btn border--inverted back-to-top-btn" href="#pageTop" title="Back to top">Back to top</a>
		</div>
	</body>
</html>